package modell;


public class LinearerSchwinger implements iModell
{
    private double m,C,D;

    private double[] f_neu;
    private int anzahl_gleichungen;
    
    public LinearerSchwinger(double m, double C, double D)
    {
        this.m = m;
        this.C = C;
        this.D = D;
        
        anzahl_gleichungen = 2;
        f_neu = new double[2];
    }

    public double[] berechneRechteSeite(double[] y, double t)
    {
        double x = y[0];
        double v = y[1];
        
        f_neu[0] = v;
        f_neu[1] = (-C/m)*x + (-D/m)*v;
        
        return f_neu;
    }
    
    public int holeAnzahlGleichungen()
    {
        return anzahl_gleichungen;
    }
}
